package com.bonus.canteen.menu.mapper;

import java.util.List;
import com.bonus.canteen.menu.domain.MenuDishes;

/**
 * 菜品信息Mapper接口
 * 
 * @author xsheng
 * @date 2025-04-03
 */
public interface MenuDishesMapper {
    /**
     * 查询菜品信息
     * 
     * @param id 菜品信息主键
     * @return 菜品信息
     */
    public MenuDishes selectMenuDishesById(Long id);

    /**
     * 查询菜品信息列表
     * 
     * @param menuDishes 菜品信息
     * @return 菜品信息集合
     */
    public List<MenuDishes> selectMenuDishesList(MenuDishes menuDishes);

    /**
     * 新增菜品信息
     * 
     * @param menuDishes 菜品信息
     * @return 结果
     */
    public int insertMenuDishes(MenuDishes menuDishes);

    /**
     * 修改菜品信息
     * 
     * @param menuDishes 菜品信息
     * @return 结果
     */
    public int updateMenuDishes(MenuDishes menuDishes);

    /**
     * 删除菜品信息
     * 
     * @param id 菜品信息主键
     * @return 结果
     */
    public int deleteMenuDishesById(Long id);

    /**
     * 批量删除菜品信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMenuDishesByIds(Long[] ids);
}
